#!/usr/bin/perl

#############################################
#                                           #
# This is Configuration file for Gridview   #
# Publisher of Gridftp Logs. It uses Web    #
# Services for Publishing the Data. The     #
# Configuration options below allow you     #
# To define the site specific behaviour     #
# of the Publisher. The Default name of     #
# the file is /etc/gv-gridftp-publish.conf  #
# If you change the path or name of the     #
# File then Edit the configuration File     #
# Name in the publisher script.             #
#                                           #
#############################################

#Gridftp_Logfile is used to define the file name of the log file.
#In case of Log rotated files the filename is regenerated 
#by appending a number to the Gridftp_Logfile
$Base_Logfile = '/var/log/globus-gridftp.log';

#Max_Sleep_Seconds is used to define the max number of second that
#program should sleep in case of no records available.
$Max_Sleep_Seconds = 40;

#Temporary directory where the publisher should unzip the logrotated files
$Tmp_Dir = "/tmp/";

#File to keep the state of the Publisher.
#This is to avoid publishing records that are already published.
$Publisher_Statefile = "/opt/gridview/misc/gridview-gridftp-wsclient.state";

#File to keep the lock for the Publisher.
#This is used to avoid the other instance to start if there is one
#already running
$Publisher_Lockfile = "/opt/gridview/misc/gridview-gridftp-wsclient.lock";

#File to keep the log of the Publisher itself
#This is used to log the events of Publisher
#amount of data written to the file is governed by Publisher_Log_Level
$Publisher_Logfile = "/opt/gridview/log/gridview-gridftp-wsclient";

#WSDL of the Web Service archiver of Gridview.
#$Gridview_Server_WSDL = "http://gvdev.cern.ch/gvarch/gridftp";
$Gridview_Server_WSDL = "http://gvarch.cern.ch:8080/wsarch/services/WebArchiverAdv?wsdl"; 

#Publisher_Log_Level defines the verbosity of the Publisher
#	0 	No Logs
#	1	Logs of startup and kill
#	2 	Logs of File Errors.
#	3 	Publisher Errors and Events
#	4,5,6	Only To be used for Different Levels of Debugging
#	Remember 6 will produce a large amount of data (4 time the input file)
#	 and is not advisable to enable it with a write to file.

$Publisher_Log_Level = 1;

#This is the timeout in minutes for detecting the process to be Hanged
$Publisher_Dead_Timeout = 30;

#This is the Wat Time in minutes that parent process has to wait 
#for creating a new child if the child has exited. 
$Publisher_Retry_Wait = 5;

